Skip to main content
`Ctrl`+`K`

# AODestroy

Destroys an application ordering.

## Synopsis

    #include "petscao.h"
    PetscErrorCode AODestroy(AO *ao)

Collective

## Input Parameter

- ao - the application ordering context

## See Also

Application Orderings, `AO`, `AOCreate()`

## Level

beginner

## Location

src/vec/is/ao/interface/ao.c

## Implementations

AODestroy_Basic() in src/vec/is/ao/impls/basic/aobasic.c
AODestroy_Mapping() in src/vec/is/ao/impls/mapping/aomapping.c
AODestroy_MemoryScalable() in src/vec/is/ao/impls/memscalable/aomemscalable.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages